#
# spec file for package python-moto
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Tests require older version of python-sure
%bcond_with test

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-moto
Version:        1.0.0
Release:        3.1
Summary:        Mock out the boto library
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/spulec/moto
Source:         https://files.pythonhosted.org/packages/source/m/moto/moto-%{version}.tar.gz
BuildRequires:  %{python_module Flask}
BuildRequires:  %{python_module Jinja2 >= 2.8}
BuildRequires:  %{python_module Werkzeug}
BuildRequires:  %{python_module boto >= 2.36.0}
BuildRequires:  %{python_module boto3 >= 1.2.1}
BuildRequires:  %{python_module cookies}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module dicttoxml}
BuildRequires:  %{python_module pyaml}
BuildRequires:  %{python_module python-dateutil}
BuildRequires:  %{python_module pytz}
BuildRequires:  %{python_module requests >= 2.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module xmltodict}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module freezegun}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module sure}
BuildRequires:  python3-tox
%endif
Requires:       python-Flask
Requires:       python-Jinja2 >= 2.8
Requires:       python-Werkzeug
Requires:       python-boto >= 2.36.0
Requires:       python-boto3 >= 1.2.1
Requires:       python-cookies
Requires:       python-dicttoxml
Requires:       python-pyaml
Requires:       python-python-dateutil
Requires:       python-pytz
Requires:       python-requests >= 2.0
Requires:       python-six
Requires:       python-xmltodict
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires(post):   update-alternatives
Requires(preun):  update-alternatives

%python_subpackages

%description
A library that allows your python tests to easily mock out the boto
library.

%prep
%setup -q -n moto-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%python_clone -a %{buildroot}%{_bindir}/moto_server

%if %{with test}
%check
%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitelib}
nosetests-%{$python_bin_suffix} -sv ./tests/
}
%endif

%post
%python_install_alternative moto_server

%preun
%python_uninstall_alternative moto_server

%files %{python_files}
%defattr(-,root,root,-)
%doc AUTHORS.md LICENSE README.md
%python_alternative %{_bindir}/moto_server
%{python_sitelib}/*

%changelog
* Thu May 18 2017 toddrme2178@gmail.com
- Initial version
